const BASE_NAME: &str  = "nss_pam_oidc";

// Modules and macro imports for our own code
#[macro_use] extern crate log;
mod unix;
mod cache;
mod logging;
mod config;
mod oauth;

// Module and macro imports for the PAM component
#[macro_use] extern crate pamsm;
mod pam;

// Module and macro imports for the NSS component
extern crate libc;
#[macro_use] extern crate lazy_static;
#[macro_use] extern crate libnss;
mod nss;
